#ifndef	__GREGORIAN_H
#define	__GREGORIAN_H
/*
	Filename:		gregorian.h
	Date Created:		21/05/1995
	Date Last Edited:	06/08/1995
	Author:			Charles O. Gamble
	Purpose:		Gregorian date routines header file

	History:

	21/05/1995 -> Created file.
	06/08/1995 -> Separated this file from reminder.c
*/


#include	<stdio.h>
#include	<string.h>
#include	<sys/timeb.h>
#include	<time.h>


#ifndef		TRUE
#define		TRUE	(1==1)
#define		FALSE	(1==0)
#endif


#define		JAN		1
#define		FEB		2
#define		MAR		3
#define		APR		4
#define		MAY		5
#define		JUN		6
#define		JUL		7
#define		AUG		8
#define		SEP		9
#define		OCT		10
#define		NOV		11
#define		DEC		12


#define		SAT		0
#define		SUN		1
#define		MON		2
#define		TUE		3
#define		WED		4
#define		THU		5
#define		FRI		6



/* Function Prototypes - gregorian.c *****************************************/

unsigned long gregorian(int, int, int);
unsigned long between(int, int, int, int, int, int);
int dow(int, int, int);
int leap(int);
int days_in_month(int, int);
int legitimate(int, int, int);




/* End of file - gregorian.h *************************************************/
#endif



