#ifndef	__REMINDER_H
#define	__REMINDER_H
/*
	Filename:		reminder.h
	Date Created:		21/05/1995
	Date Last Edited:	12/06/1996
	Author:			Charles O. Gamble
	Purpose:		Reminder header file

	History:

	21/05/1995 -> Created file.
	09/08/1995 -> Separated this file from reminder.c
	13/08/1995 -> Added PrintReminder prototypes.
	05/05/1996 -> Removed LogMsg prototype.
	26/05/1996 -> Added SkipLeadingWhitespace prototype.
	12/06/1996 -> Included <stdlib.h>.
*/


#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	<ctype.h>
#include	<sys/timeb.h>
#include	<time.h>


#ifndef		TRUE
#define		TRUE	(1==1)
#define		FALSE	(1==0)
#endif


#define		JAN		1
#define		FEB		2
#define		MAR		3
#define		APR		4
#define		MAY		5
#define		JUN		6
#define		JUL		7
#define		AUG		8
#define		SEP		9
#define		OCT		10
#define		NOV		11
#define		DEC		12


#define		SAT		0
#define		SUN		1
#define		MON		2
#define		TUE		3
#define		WED		4
#define		THU		5
#define		FRI		6


#define		MAX_LINE_LENGTH			255


typedef struct
{
	int 	d;
	int 	m;
	char	desc[MAX_LINE_LENGTH+1];
} Tdate;




/* Function Prototypes - reminder.c ******************************************/

void Usage(void);
void Initialise(void);
char *SkipLeadingWhitespace(char *);
void ReadFile(char *);
void CheckDate(Tdate *);
void PrintTodayReminder(char *, int, int, int, int);
void PrintTomorrowReminder(char *, int, int, int, int);
void PrintReminder(char *, int, int, int, int, unsigned long);




/* End Of File - reminder.h **************************************************/
#endif
